Groovy 1.7.10

## org.codehaus.groovy.ast.stmt
[Java] Class ThrowStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ThrowStatement

    public class ThrowStatement
    extends Statement

Represents a throw statement

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`ThrowStatement(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`void` | `setExpression(Expression expression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ThrowStatement

    public ThrowStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expression)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.